# links

A collection of articles & links

## Reading

### Development

- [CatchTS](https://catchts.com/) - A TypeScript blog
- [Extreme Explorations of TypeScript's Type System](https://www.learningtypescript.com/articles/extreme-explorations-of-typescripts-type-system)

## System Administration

### Proxmox

- [How to import .ova file into Proxmox](https://ryanburnette.com/blog/proxmox-import-ova/)

## Development

### Languages

- [v-lang](https://github.com/vlang/v)

### TypeScript

- [ts-node](https://github.com/TypeStrong/ts-node) - A TypeScript REPL/runner
- [Type Fest](https://github.com/sindresorhus/type-fest) - A collection of utility types
- [typetype](https://github.com/mistlog/typetype) - a language for generating TypeScript types
- [json-decoder](https://github.com/venil7/json-decoder) - a TypeScript-native JSON library
- [typescript-is](https://github.com/woutervh-/typescript-is) - runtime type valiation

### Database

- [prql](https://github.com/prql/prql) - An alternative query language that compiles to SQL
- [PlanetScale](https://planetscale.com/) - H-scaling MySQL platform, also Beam team workspace

### LTI 1.3

- [Dynamic Registration Guide](https://moodlelti.theedtech.dev/dynreg/)
- [Blackboard Implementation Guide](https://docs.blackboard.com/lti/tutorials/implementation-guide)
- [Packback PHP Library](https://github.com/packbackbooks/lti-1-3-php-library)


### Tools

- [git-less](https://gitless.com/) - Alternative git porcelain

## Off-Topic

- [GPR](https://integrated.ugcs.com/gpr) - Drone-powered geographical surveys
- [DoE NEPA](https://www.energy.gov/nepa/nepa-documents) - Documents required by DoE for environmental impact survey
- [If-Im-Gone](https://news.ycombinator.com/item?id=31943941) - Template cheat-sheet for your partner

### Places

- [Strait of Malacca](https://www.google.com/search?q=phang%2Bnga%2Bbay%2Bstrait%2Bof%2Bmalacca&hl=en&source=lnms&tbm=isch&sa=X&ved=2ahUKEwjOjM7Mgtj4AhUTA94KHbEEDasQ_AUoAXoECAEQAw&biw=1904&bih=916&dpr=1)
